Vector::BLF::LinSynchFieldEvent(3)

NAME
Vector::BLF::LinSynchFieldEvent

SYNOPSIS

#include <LinSynchFieldEvent.h>

Inherits Vector::BLF::LinBusEvent.

Inherited by Vector::BLF::LinMessageDescriptor, and Vector::BLF::LinSyncError2.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::LinBusEvent
LinBusEvent (const LinBusEvent &)=default
LinBusEvent & operator= (const LinBusEvent &)=default
LinBusEvent (LinBusEvent &&)=default
LinBusEvent & operator= (LinBusEvent &&)=default

  Public Attributes
uint64_t synchBreakLength {}
Sync Break Length in ns.
uint64_t synchDelLength {}
Sync Delimiter Length in ns.
Public Attributes inherited from Vector::BLF::LinBusEvent
uint64_t sof {}
Start Of Frame timestamp.
uint32_t eventBaudrate {}
Baudrate of the event in bit/sec.
uint16_t channel {}
application channel
uint16_t reservedLinBusEvent {}

Detailed Description

Common header of LIN bus events containing break field data

Member Function Documentation

  uint32_t Vector::BLF::LinSynchFieldEvent::calculateObjectSize () const [override], [virtual]

Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::LinBusEvent.

  void Vector::BLF::LinSynchFieldEvent::read (AbstractFile & is) [override], [virtual]

Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::LinBusEvent.

  void Vector::BLF::LinSynchFieldEvent::write (AbstractFile & os) [override], [virtual]

Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::LinBusEvent.

Member Data Documentation

  uint64_t Vector::BLF::LinSynchFieldEvent::synchBreakLength {}

Sync Break Length in ns. Length of dominant part [in nanoseconds]

  uint64_t Vector::BLF::LinSynchFieldEvent::synchDelLength {}

Sync Delimiter Length in ns. Length of delimiter (recessive) [in nanoseconds]

Author

Generated automatically by Doxygen for Vector BLF from the source code.